diff --git a/deskutils/kmail/pkg-plist b/deskutils/kmail/pkg-plist
index 461fb05d959e..cc4b852df1c8 100644
--- a/deskutils/kmail/pkg-plist
+++ b/deskutils/kmail/pkg-plist
@@ -7,21 +7,23 @@ bin/akonadi_unifiedmailbox_agent
 bin/kmail
 bin/kmail-refresh-settings
 bin/ktnef
-lib/libkmailprivate.so.5
+lib/libkmailprivate.so.6
 lib/libkmailprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libmailfilteragentprivate.so.6
+lib/libmailfilteragentprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/kmailpart.so
-%%QT_PLUGINDIR%%/pim5/akonadi/config/archivemailagentconfig.so
-%%QT_PLUGINDIR%%/pim5/akonadi/config/followupreminderagentconfig.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_accounts.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_appearance.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_composer.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_misc.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_plugins.so
-%%QT_PLUGINDIR%%/pim5/kcms/kmail/kcm_kmail_security.so
-%%QT_PLUGINDIR%%/pim5/kcms/summary/kcmkmailsummary.so
-%%QT_PLUGINDIR%%/pim5/kcms/summary/kcmkontactsummary.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_kmailplugin.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_summaryplugin.so
+%%QT_PLUGINDIR%%/pim6/akonadi/config/archivemailagentconfig.so
+%%QT_PLUGINDIR%%/pim6/akonadi/config/followupreminderagentconfig.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_accounts.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_appearance.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_composer.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_misc.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_plugins.so
+%%QT_PLUGINDIR%%/pim6/kcms/kmail/kcm_kmail_security.so
+%%QT_PLUGINDIR%%/pim6/kcms/summary/kcmkmailsummary.so
+%%QT_PLUGINDIR%%/pim6/kcms/summary/kcmkontactsummary.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_kmailplugin.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_summaryplugin.so
 share/akonadi/agents/archivemailagent.desktop
 share/akonadi/agents/followupreminder.desktop
 share/akonadi/agents/mailfilteragent.desktop
@@ -78,13 +80,12 @@ share/icons/hicolor/8x8/emblems/gpg-key-trust-level-3.svg
 share/icons/hicolor/8x8/emblems/gpg-key-trust-level-4.svg
 share/icons/hicolor/scalable/apps/kmail.svg
 share/kmail2/pics/pgp-keys.png
-share/knotifications5/akonadi_archivemail_agent.notifyrc
-share/knotifications5/akonadi_followupreminder_agent.notifyrc
-share/knotifications5/akonadi_mailfilter_agent.notifyrc
-share/knotifications5/akonadi_mailmerge_agent.notifyrc
-share/knotifications5/akonadi_sendlater_agent.notifyrc
-share/knotifications5/kmail2.notifyrc
-share/kxmlgui5/kontactsummary/kontactsummary_part.rc
+share/knotifications6/akonadi_archivemail_agent.notifyrc
+share/knotifications6/akonadi_followupreminder_agent.notifyrc
+share/knotifications6/akonadi_mailfilter_agent.notifyrc
+share/knotifications6/akonadi_mailmerge_agent.notifyrc
+share/knotifications6/akonadi_sendlater_agent.notifyrc
+share/knotifications6/kmail2.notifyrc
 share/locale/af/LC_MESSAGES/kmail.mo
 share/locale/ar/LC_MESSAGES/akonadi_archivemail_agent.mo
 share/locale/ar/LC_MESSAGES/akonadi_followupreminder_agent.mo
@@ -95,6 +96,15 @@ share/locale/ar/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
 share/locale/ar/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/ar/LC_MESSAGES/kmail.mo
 share/locale/ar/LC_MESSAGES/ktnef.mo
+share/locale/ast/LC_MESSAGES/akonadi_archivemail_agent.mo
+share/locale/ast/LC_MESSAGES/akonadi_followupreminder_agent.mo
+share/locale/ast/LC_MESSAGES/akonadi_mailfilter_agent.mo
+share/locale/ast/LC_MESSAGES/akonadi_mailmerge_agent.mo
+share/locale/ast/LC_MESSAGES/akonadi_sendlater_agent.mo
+share/locale/ast/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
+share/locale/ast/LC_MESSAGES/kmail-refresh-settings.mo
+share/locale/ast/LC_MESSAGES/kmail.mo
+share/locale/ast/LC_MESSAGES/ktnef.mo
 share/locale/az/LC_MESSAGES/akonadi_archivemail_agent.mo
 share/locale/az/LC_MESSAGES/akonadi_followupreminder_agent.mo
 share/locale/az/LC_MESSAGES/akonadi_mailfilter_agent.mo
@@ -252,7 +262,15 @@ share/locale/gl/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
 share/locale/gl/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/gl/LC_MESSAGES/kmail.mo
 share/locale/gl/LC_MESSAGES/ktnef.mo
+share/locale/he/LC_MESSAGES/akonadi_archivemail_agent.mo
+share/locale/he/LC_MESSAGES/akonadi_followupreminder_agent.mo
+share/locale/he/LC_MESSAGES/akonadi_mailfilter_agent.mo
+share/locale/he/LC_MESSAGES/akonadi_mailmerge_agent.mo
+share/locale/he/LC_MESSAGES/akonadi_sendlater_agent.mo
+share/locale/he/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
+share/locale/he/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/he/LC_MESSAGES/kmail.mo
+share/locale/he/LC_MESSAGES/ktnef.mo
 share/locale/hi/LC_MESSAGES/kmail.mo
 share/locale/hne/LC_MESSAGES/kmail.mo
 share/locale/hr/LC_MESSAGES/kmail.mo
@@ -260,7 +278,10 @@ share/locale/hsb/LC_MESSAGES/kmail.mo
 share/locale/hu/LC_MESSAGES/akonadi_archivemail_agent.mo
 share/locale/hu/LC_MESSAGES/akonadi_followupreminder_agent.mo
 share/locale/hu/LC_MESSAGES/akonadi_mailfilter_agent.mo
+share/locale/hu/LC_MESSAGES/akonadi_mailmerge_agent.mo
 share/locale/hu/LC_MESSAGES/akonadi_sendlater_agent.mo
+share/locale/hu/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
+share/locale/hu/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/hu/LC_MESSAGES/kmail.mo
 share/locale/hu/LC_MESSAGES/ktnef.mo
 share/locale/ia/LC_MESSAGES/akonadi_archivemail_agent.mo
@@ -274,6 +295,10 @@ share/locale/ia/LC_MESSAGES/kmail.mo
 share/locale/ia/LC_MESSAGES/ktnef.mo
 share/locale/id/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/id/LC_MESSAGES/kmail.mo
+share/locale/ie/LC_MESSAGES/akonadi_sendlater_agent.mo
+share/locale/ie/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
+share/locale/ie/LC_MESSAGES/kmail.mo
+share/locale/ie/LC_MESSAGES/ktnef.mo
 share/locale/is/LC_MESSAGES/kmail.mo
 share/locale/it/LC_MESSAGES/akonadi_archivemail_agent.mo
 share/locale/it/LC_MESSAGES/akonadi_followupreminder_agent.mo
@@ -329,7 +354,14 @@ share/locale/lt/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/lt/LC_MESSAGES/kmail.mo
 share/locale/lt/LC_MESSAGES/ktnef.mo
 share/locale/lv/LC_MESSAGES/akonadi_archivemail_agent.mo
+share/locale/lv/LC_MESSAGES/akonadi_followupreminder_agent.mo
+share/locale/lv/LC_MESSAGES/akonadi_mailfilter_agent.mo
+share/locale/lv/LC_MESSAGES/akonadi_mailmerge_agent.mo
+share/locale/lv/LC_MESSAGES/akonadi_sendlater_agent.mo
+share/locale/lv/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
+share/locale/lv/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/lv/LC_MESSAGES/kmail.mo
+share/locale/lv/LC_MESSAGES/ktnef.mo
 share/locale/mk/LC_MESSAGES/kmail.mo
 share/locale/mr/LC_MESSAGES/akonadi_archivemail_agent.mo
 share/locale/mr/LC_MESSAGES/akonadi_mailfilter_agent.mo
@@ -453,6 +485,10 @@ share/locale/sv/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
 share/locale/sv/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/sv/LC_MESSAGES/kmail.mo
 share/locale/sv/LC_MESSAGES/ktnef.mo
+share/locale/ta/LC_MESSAGES/akonadi_archivemail_agent.mo
+share/locale/ta/LC_MESSAGES/akonadi_followupreminder_agent.mo
+share/locale/ta/LC_MESSAGES/akonadi_mailfilter_agent.mo
+share/locale/ta/LC_MESSAGES/akonadi_mailmerge_agent.mo
 share/locale/ta/LC_MESSAGES/akonadi_sendlater_agent.mo
 share/locale/ta/LC_MESSAGES/akonadi_unifiedmailbox_agent.mo
 share/locale/ta/LC_MESSAGES/kmail-refresh-settings.mo
@@ -505,5 +541,5 @@ share/locale/zh_TW/LC_MESSAGES/kmail-refresh-settings.mo
 share/locale/zh_TW/LC_MESSAGES/kmail.mo
 share/locale/zh_TW/LC_MESSAGES/ktnef.mo
 share/metainfo/org.kde.kmail2.appdata.xml
-share/qlogging-categories5/kmail.categories
-share/qlogging-categories5/kmail.renamecategories
+share/qlogging-categories6/kmail.categories
+share/qlogging-categories6/kmail.renamecategories
diff --git a/deskutils/knotes/Makefile b/deskutils/knotes/Makefile
index a5b61f3e35ab..2c04f7cb1a38 100644
--- a/deskutils/knotes/Makefile
+++ b/deskutils/knotes/Makefile
@@ -8,6 +8,7 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
+IGNORE=		does not build with recent KDE Pim
 DEPRECATED=	Unmaintained and no longer released by the KDE community
 EXPIRATION_DATE=	2025-03-31
 
diff --git a/deskutils/kontact/Makefile b/deskutils/kontact/Makefile
index 3e283eded107..7a29bf640177 100644
--- a/deskutils/kontact/Makefile
+++ b/deskutils/kontact/Makefile
@@ -8,17 +8,16 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons crash \
-		guiaddons i18n iconthemes itemmodels jobwidgets kcmutils kio parts \
-		service solid sonnet textwidgets widgetsaddons windowsystem xmlgui \
+		guiaddons i18n iconthemes itemmodels jobwidgets kcmutils kio \
+		parts service solid sonnet textwidgets widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi grantleetheme kontactinterface libkdepim pimcommon \
 		pimtextedit
-USE_QT=		concurrent core dbus declarative gui location network  \
-		printsupport webchannel webengine widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base webengine
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kontact/distinfo b/deskutils/kontact/distinfo
index f1dde967a51e..71602164d93a 100644
--- a/deskutils/kontact/distinfo
+++ b/deskutils/kontact/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889438
-SHA256 (KDE/release-service/23.08.5/kontact-23.08.5.tar.xz) = a6eb22b7b5de6541a45a487a94e8b5fb9a1fa84f9826baee86f378f0932f40dc
-SIZE (KDE/release-service/23.08.5/kontact-23.08.5.tar.xz) = 876316
+TIMESTAMP = 1734460063
+SHA256 (KDE/release-service/24.12.0/kontact-24.12.0.tar.xz) = 3c14a9533fe7968c6481883eb6a81e4fe8ef70ff0c5288514513b175a0a41733
+SIZE (KDE/release-service/24.12.0/kontact-24.12.0.tar.xz) = 868648
diff --git a/deskutils/kontact/pkg-plist b/deskutils/kontact/pkg-plist
index 1338a5d5fbbb..b42f3b5f13e5 100644
--- a/deskutils/kontact/pkg-plist
+++ b/deskutils/kontact/pkg-plist
@@ -1,7 +1,7 @@
 bin/kontact
-lib/libkontactprivate.so.5
+lib/libkontactprivate.so.6
 lib/libkontactprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_PLUGINDIR%%/pim5/kcms/kontact/kcm_kontact.so
+%%QT_PLUGINDIR%%/pim6/kcms/kontact/kcm_kontact.so
 share/applications/org.kde.kontact.desktop
 share/config.kcfg/kontact.kcfg
 share/dbus-1/services/org.kde.kontact.service
@@ -14,6 +14,7 @@ share/icons/hicolor/64x64/apps/kontact.png
 share/icons/hicolor/scalable/apps/kontact.svg
 share/locale/af/LC_MESSAGES/kontact.mo
 share/locale/ar/LC_MESSAGES/kontact.mo
+share/locale/ast/LC_MESSAGES/kontact.mo
 share/locale/az/LC_MESSAGES/kontact.mo
 share/locale/be/LC_MESSAGES/kontact.mo
 share/locale/bg/LC_MESSAGES/kontact.mo
@@ -87,5 +88,5 @@ share/locale/zh_TW/LC_MESSAGES/kontact.mo
 share/messageviewer/about/default/introduction_kontact.html
 share/messageviewer/about/default/loading_kontact.html
 share/metainfo/org.kde.kontact.appdata.xml
-share/qlogging-categories5/kontact.categories
-share/qlogging-categories5/kontact.renamecategories
+share/qlogging-categories6/kontact.categories
+share/qlogging-categories6/kontact.renamecategories
diff --git a/deskutils/korganizer/Makefile b/deskutils/korganizer/Makefile
index 89cacc49bae7..1f84210237f0 100644
--- a/deskutils/korganizer/Makefile
+++ b/deskutils/korganizer/Makefile
@@ -8,24 +8,23 @@ WWW=		https://www.kde.org/
 
 LIB_DEPENDS=	libical.so:devel/libical
 
-USES=		cmake compiler:c++11-lib desktop-file-utils gettext gl grantlee:5 \
-		kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib desktop-file-utils gettext gl kde:6 \
+		qt:6 tar:xz xorg
 USE_GL=		gl
 USE_KDE=	attica auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons guiaddons i18n iconthemes \
-		itemmodels itemviews jobwidgets kcmutils kdelibs4support kio \
-		newstuff notifications parts phonon service solid sonnet textwidgets \
+		itemmodels itemviews jobwidgets kcmutils kio newstuff \
+		notifications parts phonon service solid sonnet textwidgets \
 		unitconversion wallet widgetsaddons windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadimime \
-		akonadinotes akonadisearch calendarcore calendarsupport \
-		calendarutils contacts eventviews grantleetheme holidays identitymanagement \
-		imap incidenceeditor kontactinterface ldap \
+		akonadisearch calendarcore calendarsupport \
+		calendarutils contacts eventviews grantleetheme holidays \
+		identitymanagement imap incidenceeditor kontactinterface ldap \
 		libkdepim mailtransport mime pimcommon pimtextedit \
-		kdepim-runtime5:run
-USE_QT=		concurrent core dbus gui multimedia network printsupport widgets xml \
-		buildtools:build qmake:build
+		kdepim-runtime:run
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/korganizer/distinfo b/deskutils/korganizer/distinfo
index 56768bc18dee..82a0cffff256 100644
--- a/deskutils/korganizer/distinfo
+++ b/deskutils/korganizer/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889445
-SHA256 (KDE/release-service/23.08.5/korganizer-23.08.5.tar.xz) = c4a6be6aa61301e8d72187feb94ce98d0dac44eeba338ca07cb6d4d395cdedc1
-SIZE (KDE/release-service/23.08.5/korganizer-23.08.5.tar.xz) = 2566660
+TIMESTAMP = 1734460064
+SHA256 (KDE/release-service/24.12.0/korganizer-24.12.0.tar.xz) = a340ca5b469ec0706947d3b23db87a490ae97a85524b907b0c5db0524d8f5746
+SIZE (KDE/release-service/24.12.0/korganizer-24.12.0.tar.xz) = 2940220
diff --git a/deskutils/korganizer/pkg-plist b/deskutils/korganizer/pkg-plist
index 2ba52ab531cb..9bef97675403 100644
--- a/deskutils/korganizer/pkg-plist
+++ b/deskutils/korganizer/pkg-plist
@@ -1,28 +1,30 @@
 bin/korganizer
-lib/libkorganizer_core.so
-lib/libkorganizer_core.so.5
+lib/libkorganizer_core.so.6
 lib/libkorganizer_core.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libkorganizer_interfaces.so.5
+lib/libkorganizer_interfaces.so.6
 lib/libkorganizer_interfaces.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libkorganizerprivate.so.5
+lib/libkorganizerprivate.so.6
 lib/libkorganizerprivate.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/korganizerpart.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configcolorsandfonts.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configdesignerfields.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configfreebusy.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configgroupscheduling.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configmain.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configplugins.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configtime.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_configviews.so
-%%QT_PLUGINDIR%%/pim5/kcms/korganizer/korganizer_userfeedback.so
-%%QT_PLUGINDIR%%/pim5/kcms/summary/kcmapptsummary.so
-%%QT_PLUGINDIR%%/pim5/kcms/summary/kcmsdsummary.so
-%%QT_PLUGINDIR%%/pim5/kcms/summary/kcmtodosummary.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_journalplugin.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_korganizerplugin.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_specialdatesplugin.so
-%%QT_PLUGINDIR%%/pim5/kontact/kontact_todoplugin.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configcolorsandfonts.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configfreebusy.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configgroupscheduling.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configmain.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configplugins.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configtime.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_configviews.so
+%%QT_PLUGINDIR%%/pim6/kcms/korganizer/korganizer_userfeedback.so
+%%QT_PLUGINDIR%%/pim6/kcms/summary/kcmapptsummary.so
+%%QT_PLUGINDIR%%/pim6/kcms/summary/kcmsdsummary.so
+%%QT_PLUGINDIR%%/pim6/kcms/summary/kcmtodosummary.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_journalplugin.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_korganizerplugin.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_specialdatesplugin.so
+%%QT_PLUGINDIR%%/pim6/kontact/kontact_todoplugin.so
+%%QT_PLUGINDIR%%/pim6/korganizer/datenums.so
+%%QT_PLUGINDIR%%/pim6/korganizer/lunarphases.so
+%%QT_PLUGINDIR%%/pim6/korganizer/picoftheday.so
+%%QT_PLUGINDIR%%/pim6/korganizer/thisdayinhistory.so
 share/applications/korganizer-import.desktop
 share/applications/korganizer-view.desktop
 share/applications/org.kde.korganizer.desktop
@@ -59,6 +61,10 @@ share/icons/hicolor/scalable/apps/korg-journal.svgz
 share/icons/hicolor/scalable/apps/korg-todo.svg
 share/icons/hicolor/scalable/apps/korganizer.svg
 share/icons/hicolor/scalable/apps/quickview.svgz
+share/icons/hicolor/scalable/status/moon-phase-first-quarter.svg
+share/icons/hicolor/scalable/status/moon-phase-full.svg
+share/icons/hicolor/scalable/status/moon-phase-last-quarter.svg
+share/icons/hicolor/scalable/status/moon-phase-new.svg
 share/knsrcfiles/korganizer.knsrc
 %%DATADIR%%/sounds/alert.wav
 %%DATADIR%%/sounds/icemag.wav
@@ -66,79 +72,158 @@ share/knsrcfiles/korganizer.knsrc
 %%DATADIR%%/sounds/onscreen.wav
 %%DATADIR%%/sounds/spinout.wav
 share/locale/af/LC_MESSAGES/korganizer.mo
+share/locale/af/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ar/LC_MESSAGES/korganizer.mo
+share/locale/ar/LC_MESSAGES/korganizer_calendarplugins.mo
+share/locale/ast/LC_MESSAGES/korganizer.mo
+share/locale/ast/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/az/LC_MESSAGES/korganizer.mo
+share/locale/az/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/be/LC_MESSAGES/korganizer.mo
+share/locale/be/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/bg/LC_MESSAGES/korganizer.mo
+share/locale/bg/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/br/LC_MESSAGES/korganizer.mo
+share/locale/br/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/bs/LC_MESSAGES/korganizer.mo
+share/locale/bs/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ca/LC_MESSAGES/korganizer.mo
+share/locale/ca/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ca@valencia/LC_MESSAGES/korganizer.mo
+share/locale/ca@valencia/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/cs/LC_MESSAGES/korganizer.mo
+share/locale/cs/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/cy/LC_MESSAGES/korganizer.mo
+share/locale/cy/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/da/LC_MESSAGES/korganizer.mo
+share/locale/da/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/de/LC_MESSAGES/korganizer.mo
+share/locale/de/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/el/LC_MESSAGES/korganizer.mo
+share/locale/el/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/en_GB/LC_MESSAGES/korganizer.mo
+share/locale/en_GB/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/eo/LC_MESSAGES/korganizer.mo
+share/locale/eo/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/es/LC_MESSAGES/korganizer.mo
+share/locale/es/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/et/LC_MESSAGES/korganizer.mo
+share/locale/et/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/eu/LC_MESSAGES/korganizer.mo
+share/locale/eu/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/fa/LC_MESSAGES/korganizer.mo
+share/locale/fa/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/fi/LC_MESSAGES/korganizer.mo
+share/locale/fi/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/fr/LC_MESSAGES/korganizer.mo
+share/locale/fr/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/fy/LC_MESSAGES/korganizer.mo
+share/locale/fy/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ga/LC_MESSAGES/korganizer.mo
+share/locale/ga/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/gl/LC_MESSAGES/korganizer.mo
+share/locale/gl/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/he/LC_MESSAGES/korganizer.mo
+share/locale/he/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/hi/LC_MESSAGES/korganizer.mo
+share/locale/hi/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/hne/LC_MESSAGES/korganizer.mo
+share/locale/hne/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/hr/LC_MESSAGES/korganizer.mo
+share/locale/hr/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/hsb/LC_MESSAGES/korganizer.mo
+share/locale/hsb/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/hu/LC_MESSAGES/korganizer.mo
+share/locale/hu/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ia/LC_MESSAGES/korganizer.mo
+share/locale/ia/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/id/LC_MESSAGES/korganizer.mo
 share/locale/is/LC_MESSAGES/korganizer.mo
+share/locale/is/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/it/LC_MESSAGES/korganizer.mo
+share/locale/it/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ja/LC_MESSAGES/korganizer.mo
+share/locale/ja/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ka/LC_MESSAGES/korganizer.mo
+share/locale/ka/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/kk/LC_MESSAGES/korganizer.mo
+share/locale/kk/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/km/LC_MESSAGES/korganizer.mo
+share/locale/km/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ko/LC_MESSAGES/korganizer.mo
+share/locale/ko/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/lt/LC_MESSAGES/korganizer.mo
+share/locale/lt/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/lv/LC_MESSAGES/korganizer.mo
+share/locale/lv/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/mai/LC_MESSAGES/korganizer.mo
+share/locale/mai/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/mk/LC_MESSAGES/korganizer.mo
+share/locale/mk/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/mr/LC_MESSAGES/korganizer.mo
+share/locale/mr/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ms/LC_MESSAGES/korganizer.mo
+share/locale/ms/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/nb/LC_MESSAGES/korganizer.mo
+share/locale/nb/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/nds/LC_MESSAGES/korganizer.mo
+share/locale/nds/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ne/LC_MESSAGES/korganizer.mo
+share/locale/ne/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/nl/LC_MESSAGES/korganizer.mo
+share/locale/nl/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/nn/LC_MESSAGES/korganizer.mo
+share/locale/nn/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/pa/LC_MESSAGES/korganizer.mo
+share/locale/pa/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/pl/LC_MESSAGES/korganizer.mo
+share/locale/pl/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/pt/LC_MESSAGES/korganizer.mo
+share/locale/pt/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/pt_BR/LC_MESSAGES/korganizer.mo
+share/locale/pt_BR/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ro/LC_MESSAGES/korganizer.mo
+share/locale/ro/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ru/LC_MESSAGES/korganizer.mo
+share/locale/ru/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/se/LC_MESSAGES/korganizer.mo
+share/locale/se/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/sk/LC_MESSAGES/korganizer.mo
+share/locale/sk/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/sl/LC_MESSAGES/korganizer.mo
+share/locale/sl/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/sq/LC_MESSAGES/korganizer.mo
+share/locale/sq/LC_MESSAGES/korganizer_calendarplugins.mo
+share/locale/sr/LC_MESSAGES/korganizer_calendarplugins.mo
+share/locale/sr@ijekavian/LC_MESSAGES/korganizer_calendarplugins.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/korganizer_calendarplugins.mo
+share/locale/sr@latin/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/sv/LC_MESSAGES/korganizer.mo
+share/locale/sv/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ta/LC_MESSAGES/korganizer.mo
+share/locale/ta/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/tg/LC_MESSAGES/korganizer.mo
+share/locale/tg/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/th/LC_MESSAGES/korganizer.mo
+share/locale/th/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/tr/LC_MESSAGES/korganizer.mo
+share/locale/tr/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/ug/LC_MESSAGES/korganizer.mo
+share/locale/ug/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/uk/LC_MESSAGES/korganizer.mo
+share/locale/uk/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/uz/LC_MESSAGES/korganizer.mo
+share/locale/uz/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/uz@cyrillic/LC_MESSAGES/korganizer.mo
+share/locale/uz@cyrillic/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/wa/LC_MESSAGES/korganizer.mo
+share/locale/wa/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/xh/LC_MESSAGES/korganizer.mo
+share/locale/xh/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/zh_CN/LC_MESSAGES/korganizer.mo
+share/locale/zh_CN/LC_MESSAGES/korganizer_calendarplugins.mo
 share/locale/zh_TW/LC_MESSAGES/korganizer.mo
+share/locale/zh_TW/LC_MESSAGES/korganizer_calendarplugins.mo
 share/metainfo/org.kde.korganizer.appdata.xml
-share/qlogging-categories5/korganizer.categories
-share/qlogging-categories5/korganizer.renamecategories
+share/qlogging-categories6/korganizer.categories
+share/qlogging-categories6/korganizer.renamecategories
diff --git a/deskutils/kruler/Makefile b/deskutils/kruler/Makefile
index dc0113dca310..32198b55397d 100644
--- a/deskutils/kruler/Makefile
+++ b/deskutils/kruler/Makefile
@@ -6,12 +6,12 @@ MAINTAINER=	kde@FreeBSD.org
 COMMENT=	KDE screen ruler
 WWW=		https://www.kde.org/applications/graphics/kruler
 
-USES=		cmake compiler:c++11-lang gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs config configwidgets coreaddons doctools i18n \
-		notifications widgetsaddons windowsystem xmlgui \
+		notifications statusnotifieritem widgetsaddons windowsystem \
+		xmlgui \
 		ecm:build
-USE_QT=		core dbus gui widgets x11extras xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11 xcb
 
 OPTIONS_DEFINE=	DOCS
diff --git a/deskutils/kruler/distinfo b/deskutils/kruler/distinfo
index 90d6d93697df..22140585fcc2 100644
--- a/deskutils/kruler/distinfo
+++ b/deskutils/kruler/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889434
-SHA256 (KDE/release-service/23.08.5/kruler-23.08.5.tar.xz) = 1a6babd1175943a4fbb5d57a2eb7094d94b2aa7f82e88d92e9b8456fd2cf343e
-SIZE (KDE/release-service/23.08.5/kruler-23.08.5.tar.xz) = 288536
+TIMESTAMP = 1734460066
+SHA256 (KDE/release-service/24.12.0/kruler-24.12.0.tar.xz) = d522d5b7c9648ca84b8f179fe3eea8c9c786a9cc1641da5565b1140dca1c7c5c
+SIZE (KDE/release-service/24.12.0/kruler-24.12.0.tar.xz) = 286464
diff --git a/deskutils/kruler/pkg-plist b/deskutils/kruler/pkg-plist
index b6a4c1255fb6..fd1e7d60a0d9 100644
--- a/deskutils/kruler/pkg-plist
+++ b/deskutils/kruler/pkg-plist
@@ -14,10 +14,11 @@ share/icons/hicolor/22x22/apps/kruler.png
 share/icons/hicolor/32x32/apps/kruler.png
 share/icons/hicolor/48x48/apps/kruler.png
 share/icons/hicolor/64x64/apps/kruler.png
-share/knotifications5/kruler.notifyrc
+share/knotifications6/kruler.notifyrc
 %%DATADIR%%/sounds/move.wav
 share/locale/af/LC_MESSAGES/kruler.mo
 share/locale/ar/LC_MESSAGES/kruler.mo
+share/locale/ast/LC_MESSAGES/kruler.mo
 share/locale/be/LC_MESSAGES/kruler.mo
 share/locale/bg/LC_MESSAGES/kruler.mo
 share/locale/br/LC_MESSAGES/kruler.mo
diff --git a/deskutils/kuserfeedback/Makefile b/deskutils/kuserfeedback/Makefile
index c0141f7d4325..87eaed4d599a 100644
--- a/deskutils/kuserfeedback/Makefile
+++ b/deskutils/kuserfeedback/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	kuserfeedback
 DISTVERSION=	1.3.0
+PORTREVISION=	1
 CATEGORIES=	deskutils kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/
 
@@ -10,11 +11,16 @@ WWW=		https://github.com/kde/kuserfeedback
 LICENSE=	MIT
 LICENSE_FILE=	${WRKSRC}/COPYING.LIB
 
+DEPRECATED=	has its functionality stripped compared to a kf6 variant
+
 USES=		bison cmake compiler:c++11-lang kde:5 qt:5 tar:xz
 USE_KDE=	ecm:build
 USE_QT=		charts core declarative gui linguisttools network printsupport \
 		svg widgets \
-		buildtools:build help:build qdoc:build qmake:build
+		buildtools:build qmake:build
+
+# KF6 coinstallability
+CMAKE_OFF=	ENABLE_CLI ENABLE_CONSOLE ENABLE_DOCS
 
 OPTIONS_DEFINE=	SERVER
 
diff --git a/deskutils/kuserfeedback/pkg-plist b/deskutils/kuserfeedback/pkg-plist
index 8833d9ac2bd4..36d142054311 100644
--- a/deskutils/kuserfeedback/pkg-plist
+++ b/deskutils/kuserfeedback/pkg-plist
@@ -1,5 +1,5 @@
-bin/UserFeedbackConsole
-bin/userfeedbackctl
+@comment bin/UserFeedbackConsole
+@comment bin/userfeedbackctl
 include/KUserFeedback/AbstractDataSource
 include/KUserFeedback/ApplicationVersionSource
 include/KUserFeedback/CompilerInfoSource
@@ -57,9 +57,9 @@ lib/libKUserFeedbackWidgets.so.1.3.0
 %%QT_MKSPECDIR%%/modules/qt_KUserFeedbackWidgets.pri
 %%QT_QMLDIR%%/org/kde/userfeedback/libKUserFeedbackQml.so
 %%QT_QMLDIR%%/org/kde/userfeedback/qmldir
-share/KDE/UserFeedbackConsole/user-feedback-manual.qch
-share/KDE/UserFeedbackConsole/user-feedback.qhc
-share/applications/org.kde.kuserfeedback-console.desktop
+@comment share/KDE/UserFeedbackConsole/user-feedback-manual.qch
+@comment share/KDE/UserFeedbackConsole/user-feedback.qhc
+@comment share/applications/org.kde.kuserfeedback-console.desktop
 share/locale/ar/LC_MESSAGES/userfeedbackconsole5_qt.qm
 share/locale/ar/LC_MESSAGES/userfeedbackprovider5_qt.qm
 share/locale/az/LC_MESSAGES/userfeedbackconsole5_qt.qm
@@ -128,5 +128,5 @@ share/locale/zh_CN/LC_MESSAGES/userfeedbackconsole5_qt.qm
 share/locale/zh_CN/LC_MESSAGES/userfeedbackprovider5_qt.qm
 share/locale/zh_TW/LC_MESSAGES/userfeedbackconsole5_qt.qm
 share/locale/zh_TW/LC_MESSAGES/userfeedbackprovider5_qt.qm
-share/metainfo/org.kde.kuserfeedback-console.appdata.xml
+@comment share/metainfo/org.kde.kuserfeedback-console.appdata.xml
 share/qlogging-categories5/org_kde_UserFeedback.categories
diff --git a/deskutils/libkdepim/Makefile b/deskutils/libkdepim/Makefile
index d684792a8adb..95280628daa0 100644
--- a/deskutils/libkdepim/Makefile
+++ b/deskutils/libkdepim/Makefile
@@ -10,16 +10,14 @@ LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 
-USES=		cmake gettext compiler:c++11-lib kde:5 qt:5 tar:xz
-USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		i18n iconthemes itemmodels itemviews jobwidgets kcmutils \
-		kio service wallet widgetsaddons \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
+		iconthemes itemmodels itemviews jobwidgets kcmutils kio \
+		service wallet widgetsaddons \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicontacts akonadisearch contacts ldap mime
-USE_QT=		concurrent core dbus designer gui network uiplugin uitools \
-		widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/libkdepim/distinfo b/deskutils/libkdepim/distinfo
index 7c7445c1f23f..0f47d48a3cce 100644
--- a/deskutils/libkdepim/distinfo
+++ b/deskutils/libkdepim/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889432
-SHA256 (KDE/release-service/23.08.5/libkdepim-23.08.5.tar.xz) = 6e1e2e7416a3cb1d9fdc41257ba034c40a55bf1d870d15c71a22f29adfb5db9f
-SIZE (KDE/release-service/23.08.5/libkdepim-23.08.5.tar.xz) = 285476
+TIMESTAMP = 1734460068
+SHA256 (KDE/release-service/24.12.0/libkdepim-24.12.0.tar.xz) = 7bbb03d777802399f50d51f4db06e498d3ef5e2c3cf87870224f6d5e7b82c4f7
+SIZE (KDE/release-service/24.12.0/libkdepim-24.12.0.tar.xz) = 282920
